import IconDroplet from '@/components/icon/icon-droplet';
import IconEye from '@/components/icon/icon-eye';
import IconHeart from '@/components/icon/icon-heart';
import IconStar from '@/components/icon/icon-star';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import { Metadata } from 'next';
import Link from 'next/link';
import React from 'react';

export const metadata: Metadata = {
    title: 'کادرها',
};

export default function() {
    return (
        <div>
            <ul className="flex space-x-2 rtl:space-x-reverse">
                <li>
                    <Link href="#" className="text-primary hover:underline">
                        اجزا
                    </Link>
                </li>
                <li className="before:content-['/'] ltr:before:mr-2 rtl:before:ml-2">
                    <span>کادرها</span>
                </li>
            </ul>
            <div className="grid grid-cols-1 gap-6 pt-5 lg:grid-cols-2">
                {/* card 1 */}
                <PanelCodeHighlight title="کادر 1">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[19rem] rounded border border-white-light bg-white shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="px-6 py-7">
                                <div className="mb-5 inline-block rounded-full bg-[#3b3f5c] p-3 text-[#f1f2f3]">
                                    <IconDroplet />
                                </div>
                                <h5 className="mb-4 text-xl font-semibold text-[#3b3f5c] dark:text-white-light">نمونه</h5>
                                <p className="text-white-dark">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 2 */}
                <PanelCodeHighlight title="کادر2">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[19rem] rounded border border-white-light bg-white shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="px-6 py-7">
                                <div className="-mx-6 -mt-7 mb-7 h-[215px] overflow-hidden rounded-tl rounded-tr">
                                    <img src="/assets/images/profile-28.jpeg" alt="cover" className="h-full w-full object-cover" />
                                </div>
                                <h5 className="mb-4 text-xl font-semibold text-[#3b3f5c] dark:text-white-light">پایه</h5>
                                <p className="text-white-dark">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.</p>
                                <button type="button" className="btn btn-primary mt-6">
                                    بیشتر
                                </button>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 3 */}
                <PanelCodeHighlight title="کادر 3">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[18rem] rounded border border-white-light bg-[#3b3f5c] p-5 shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="text-center text-black-light">
                                <div className="mx-auto mb-5 h-20 w-20 overflow-hidden rounded-full">
                                    <img src="/assets/images/profile-34.jpeg" alt="profile" className="h-full w-full object-cover" />
                                </div>
                                <h5 className="mb-2 text-[15px] font-semibold text-white">جان اسنو</h5>
                                <p>مدیر</p>
                                <div className="my-4 flex items-center justify-center text-[#e2a03f]">
                                    <IconStar className="fill-warning" />
                                    <IconStar className="fill-warning" />
                                    <IconStar className="fill-warning" />
                                    <IconStar className="fill-warning" />
                                    <IconStar />
                                </div>
                                <p className="font-semibold italic">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با </p>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 4 */}
                <PanelCodeHighlight title="کادر 4">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[30rem] rounded border border-white-light bg-white shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="flex flex-col items-center p-5 sm:flex-row">
                                <div className="mb-5 h-20 w-20 overflow-hidden rounded-full">
                                    <img src="/assets/images/profile-34.jpeg" alt="profile" className="h-full w-full object-cover" />
                                </div>
                                <div className="flex-1 text-center sm:text-left ltr:sm:pl-5 rtl:sm:pr-5">
                                    <h5 className="mb-2 text-[15px] font-semibold text-[#3b3f5c] dark:text-white-light">جان اسنو</h5>
                                    <p className="mb-2 text-white-dark">مدیر</p>
                                    <span className="badge rounded-full bg-primary">4.5</span>
                                    <p className="mt-4 font-semibold text-white-dark sm:mt-8">
                                        لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 5 */}
                <PanelCodeHighlight title="کادر 5">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[20rem] rounded border border-white-light bg-secondary p-5 shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-0 dark:bg-secondary-dark-light dark:shadow-none">
                            <div className="text-black-light">
                                <p className="mb-5 font-semibold">
                                    لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با.
                                </p>
                                <div className="flex">
                                    <div className="mx-auto mb-5 h-14 w-14 overflow-hidden rounded-full">
                                        <img src="/assets/images/profile-34.jpeg" alt="profile" className="h-full w-full object-cover" />
                                    </div>
                                    <div className="flex-1 ltr:pl-4 rtl:pr-4">
                                        <h5 className="mb-1 text-[15px] font-semibold text-white">جان اسنو</h5>
                                        <p>مدیر</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 6 */}
                <PanelCodeHighlight title="کادر 5">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[20rem] rounded border border-white-light bg-white p-5 shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none ">
                            <div className="text-[#515365] dark:text-white-light">
                                <p className="mb-5 font-semibold italic">
                                    لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با
                                </p>
                                <div className="flex">
                                    <div className="flex-1">
                                        <h5 className="mb-1.5 text-[15px] font-bold text-[#3b3f5c] dark:text-white-light">جان اسنو</h5>
                                        <p className="mb-1.5 text-white-dark">مدیر</p>
                                        <div className="flex items-center justify-start text-[#e2a03f]">
                                            <IconStar className="h-3 w-3 fill-warning" />
                                            <IconStar className="h-3 w-3 fill-warning" />
                                            <IconStar className="h-3 w-3 fill-warning" />
                                            <IconStar className="h-3 w-3 fill-warning" />
                                            <IconStar className="h-3 w-3" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 7 */}
                <PanelCodeHighlight title="کادر 7">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[20rem] rounded border border-white-light bg-primary p-5 shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-0 dark:bg-primary-dark-light dark:shadow-none">
                            <div className="text-center font-semibold">
                                <h5 className="mb-5 text-xl font-bold text-white dark:text-white-light">امتیاز</h5>
                                <p className="mb-5 text-base text-white">(4.3)</p>
                                <div className="flex items-center justify-center gap-1 text-[#e2a03f]">
                                    <IconStar className="h-4.5 w-4.5 fill-warning" />
                                    <IconStar className="h-4.5 w-4.5 fill-warning" />
                                    <IconStar className="h-4.5 w-4.5 fill-warning" />
                                    <IconStar className="h-4.5 w-4.5 fill-warning" />
                                    <IconStar className="h-4.5 w-4.5" />
                                    <span className="text-white ltr:ml-1 rtl:mr-1">(94)</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 8 */}
                <PanelCodeHighlight title="کادر 8">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[24rem] rounded border border-white-light bg-white p-5 shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="mb-5 flex justify-between">
                                <h6 className="text-base font-semibold text-black dark:text-white-light">سفارش داده شده</h6>
                                <span className="badge bg-primary/10 py-1.5 text-primary dark:bg-primary dark:text-white">در حال پردازش</span>
                            </div>
                            <div className="mb-5 flex items-center justify-start -space-x-3 rtl:space-x-reverse">
                                <img
                                    className="h-9 w-9 overflow-hidden rounded-full object-cover shadow-[0_0_15px_1px_rgba(113,106,202,0.30)] ring-2 ring-white dark:shadow-none dark:ring-[#515365]"
                                    src="/assets/images/profile-34.jpeg"
                                    alt="profile"
                                />
                                <img
                                    className="h-9 w-9 overflow-hidden rounded-full object-cover shadow-[0_0_15px_1px_rgba(113,106,202,0.30)] ring-2 ring-white dark:shadow-none dark:ring-[#515365]"
                                    src="/assets/images/profile-34.jpeg"
                                    alt="profile"
                                />
                                <img
                                    className="h-9 w-9 overflow-hidden rounded-full object-cover shadow-[0_0_15px_1px_rgba(113,106,202,0.30)] ring-2 ring-white dark:shadow-none dark:ring-[#515365]"
                                    src="/assets/images/profile-34.jpeg"
                                    alt="profile"
                                />
                                <span className="rounded-full bg-white px-2 py-1 text-xs text-primary shadow-[0_0_20px_0_#d0d0d0] dark:bg-black dark:text-white dark:shadow-none">+5 بیشتر</span>
                            </div>
                            <div className="text-right">
                                <span className="font-semibold text-primary">60%</span>
                                <div className="mt-1.5 h-1.5 w-full rounded-full bg-[#ebedf2] dark:bg-black">
                                    <div className="h-full rounded-full bg-primary" style={{ width: '60%' }}></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
                {/* card 9 */}
                <PanelCodeHighlight title="کادر 9">
                    <div className="mb-5 flex items-center justify-center">
                        <div className="w-full max-w-[22rem] rounded border border-white-light bg-white shadow-[4px_6px_10px_-3px_#bfc9d4] dark:border-[#1b2e4b] dark:bg-[#191e3a] dark:shadow-none">
                            <div className="px-6 py-7">
                                <div className="-mx-6 -mt-7 mb-7 h-[260px] overflow-hidden rounded-tl rounded-tr">
                                    <img src="/assets/images/profile-28.jpeg" alt="profile" className="h-full w-full object-cover" />
                                </div>
                                <p className="mb-1.5 text-xs font-bold text-primary">25 Sep 2020</p>
                                <h5 className="mb-4 text-[15px] font-bold text-[#3b3f5c] dark:text-white-light">عنوان بلاگ</h5>
                                <p className="text-white-dark ">لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با</p>
                                <div className="relative mt-6 flex justify-between pt-4 before:absolute before:inset-x-0 before:top-0 before:mx-auto before:h-[1px] before:w-[250px] before:bg-white-light dark:before:bg-[#1b2e4b]">
                                    <div className="flex items-center font-semibold">
                                        <div className="inline-block h-9 w-9 shrink-0 overflow-hidden rounded-full ltr:mr-2 rtl:ml-2.5">
                                            <span className="flex h-full w-full items-center justify-center bg-[#515365] text-white-light">جا</span>
                                        </div>
                                        <div className="text-[#515365] dark:text-white-dark">جان اسنو</div>
                                    </div>
                                    <div className="flex font-semibold">
                                        <div className="flex items-center text-primary ltr:mr-3 rtl:ml-3">
                                            <IconHeart className="h-4 w-4 ltr:mr-1 rtl:ml-1" />
                                            51
                                        </div>
                                        <div className="flex items-center text-primary">
                                            <IconEye className="h-4 w-4 ltr:mr-1 rtl:ml-1" />
                                            250
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </PanelCodeHighlight>
            </div>
        </div>
    );
}
